Apache 2.0.35 & Tomcat 4.0.3

Apache 2.0.35 & Tomcat 4.0.3

Post by Christian Heind » Mon, 15 Apr 2002 04:26:58



Hello everybody!

I try to integrate Tomcat 4.0.3 into Apache 2.0.25, but I do not success!
mod_jk is successfully loaded and my tomcat-contexts are well! But when I
try to access a context via my browser I get this error:

handler "jakarta-servlet" not found for: login.jsp

How can i get it work? I have tried to fix the problem with

AddHandler jakarta-servlet .jsp

in httpd.conf, but this does not take effect. Any hints?

Or otherwise: Has anybody of you detailed information about the
webapp-module? The jakarta.apache.org-site is not very good at all. :-(

Thank you for spending time on my problem!
Christian

 
 
 

Apache 2.0.35 & Tomcat 4.0.3

Post by Rahul Kuchh » Wed, 17 Apr 2002 03:36:47


Do you any further insights into this issue? I am facing the same problem and
havn't found any solution yet.

Rahul


> Hello everybody!

> I try to integrate Tomcat 4.0.3 into Apache 2.0.25, but I do not success!
> mod_jk is successfully loaded and my tomcat-contexts are well! But when I
> try to access a context via my browser I get this error:

> handler "jakarta-servlet" not found for: login.jsp

> How can i get it work? I have tried to fix the problem with

> AddHandler jakarta-servlet .jsp

> in httpd.conf, but this does not take effect. Any hints?

> Or otherwise: Has anybody of you detailed information about the
> webapp-module? The jakarta.apache.org-site is not very good at all. :-(

> Thank you for spending time on my problem!
> Christian


 
 
 

Apache 2.0.35 & Tomcat 4.0.3

Post by Patrick Lajoi » Wed, 17 Apr 2002 04:44:20


I have a same problem


> Do you any further insights into this issue? I am facing the same problem
and
> havn't found any solution yet.

> Rahul




Quote:> > Hello everybody!

> > I try to integrate Tomcat 4.0.3 into Apache 2.0.25, but I do not
success!
> > mod_jk is successfully loaded and my tomcat-contexts are well! But when
I
> > try to access a context via my browser I get this error:

> > handler "jakarta-servlet" not found for: login.jsp

> > How can i get it work? I have tried to fix the problem with

> > AddHandler jakarta-servlet .jsp

> > in httpd.conf, but this does not take effect. Any hints?

> > Or otherwise: Has anybody of you detailed information about the
> > webapp-module? The jakarta.apache.org-site is not very good at all. :-(

> > Thank you for spending time on my problem!
> > Christian

 
 
 

Apache 2.0.35 & Tomcat 4.0.3

Post by Webe » Wed, 17 Apr 2002 18:10:13


Hi,

I assume I have also the same issue.

I installed Apache 2.0.35, Tomcat 4.0.3 and compiled mod_jk.dll with MSDEV
7.net on Win2K SP2

The mod_jk.log brings the following message:
[Tue Apr 16 10:35:45 2002]  [jk_worker.c (158)]: wc_create_worker NULL
factory for ajp13*ajp13
[Tue Apr 16 10:35:45 2002]  [jk_worker.c (244)]: build_worker_map failed to
create workerajp13

[Tue Apr 16 09:55:29 2002] [warn] [client 192.168.9.10] handler
"jakarta-servlet" not found for: date.jsp, referer:
http://webpc/examples/jsp/

I'm not sure if I made only a mistake in the worker.properties, httpd.conf
and server.xml (because I used to do it with older versions).

Also the autoconfig option from previous tomcat installation doesn't work
any more. It generates me a file in auto/mod_jk.conf but not the used
jk/mod_jk.conf-auto file.

Thanks,
Martin Weber


> I have a same problem



> > Do you any further insights into this issue? I am facing the same
problem
> and
> > havn't found any solution yet.

> > Rahul



> > > Hello everybody!

> > > I try to integrate Tomcat 4.0.3 into Apache 2.0.25, but I do not
> success!
> > > mod_jk is successfully loaded and my tomcat-contexts are well! But
when
> I
> > > try to access a context via my browser I get this error:

> > > handler "jakarta-servlet" not found for: login.jsp

> > > How can i get it work? I have tried to fix the problem with

> > > AddHandler jakarta-servlet .jsp

> > > in httpd.conf, but this does not take effect. Any hints?

> > > Or otherwise: Has anybody of you detailed information about the
> > > webapp-module? The jakarta.apache.org-site is not very good at all.
:-(

> > > Thank you for spending time on my problem!
> > > Christian

 
 
 

Apache 2.0.35 & Tomcat 4.0.3

Post by Patrick Lajoi » Thu, 18 Apr 2002 00:40:12


My configuration is on linux RedHat 7.2

I have apache 1.3.24 and the same version of tomcat and ajp connector on
production.

The compilation of mod_jk is right.  I have the same problem if I compile
mod_jk in httpd or I use mod_jk.so.


> I have a same problem



> > Do you any further insights into this issue? I am facing the same
problem
> and
> > havn't found any solution yet.

> > Rahul



> > > Hello everybody!

> > > I try to integrate Tomcat 4.0.3 into Apache 2.0.25, but I do not
> success!
> > > mod_jk is successfully loaded and my tomcat-contexts are well! But
when
> I
> > > try to access a context via my browser I get this error:

> > > handler "jakarta-servlet" not found for: login.jsp

> > > How can i get it work? I have tried to fix the problem with

> > > AddHandler jakarta-servlet .jsp

> > > in httpd.conf, but this does not take effect. Any hints?

> > > Or otherwise: Has anybody of you detailed information about the
> > > webapp-module? The jakarta.apache.org-site is not very good at all.
:-(

> > > Thank you for spending time on my problem!
> > > Christian

 
 
 

Apache 2.0.35 & Tomcat 4.0.3

Post by Patrick Lajoi » Thu, 18 Apr 2002 00:41:51


My configuration is on linux RedHat 7.2

I have apache 1.3.24 and the same version of tomcat and ajp connector on
production and are fuctionnal.

The compilation of mod_jk is right.  I have the same problem if I compile
 mod_jk in httpd or I use mod_jk.so.



> > I have a same problem



> > > Do you any further insights into this issue? I am facing the same
> problem
> > and
> > > havn't found any solution yet.

> > > Rahul



> > > > Hello everybody!

> > > > I try to integrate Tomcat 4.0.3 into Apache 2.0.25, but I do not
> > success!
> > > > mod_jk is successfully loaded and my tomcat-contexts are well! But
> when
> > I
> > > > try to access a context via my browser I get this error:

> > > > handler "jakarta-servlet" not found for: login.jsp

> > > > How can i get it work? I have tried to fix the problem with

> > > > AddHandler jakarta-servlet .jsp

> > > > in httpd.conf, but this does not take effect. Any hints?

> > > > Or otherwise: Has anybody of you detailed information about the
> > > > webapp-module? The jakarta.apache.org-site is not very good at all.
> :-(

> > > > Thank you for spending time on my problem!
> > > > Christian

 
 
 

Apache 2.0.35 & Tomcat 4.0.3

Post by Duca » Thu, 18 Apr 2002 03:00:14


Hi !

I ones used the tutorial : http://www.galatea.com/flashguides/index with
succes.

Z ya

- Duca

 
 
 

Apache 2.0.35 & Tomcat 4.0.3

Post by Patrick Lajoi » Thu, 18 Apr 2002 04:39:01


I compiled apache 2.0.35 with jakarta-tomcat-connectors-4.0.4-b2-src and is
functionnal :)

> Do you any further insights into this issue? I am facing the same problem
and
> havn't found any solution yet.

> Rahul




Quote:> > Hello everybody!

> > I try to integrate Tomcat 4.0.3 into Apache 2.0.25, but I do not
success!
> > mod_jk is successfully loaded and my tomcat-contexts are well! But when
I
> > try to access a context via my browser I get this error:

> > handler "jakarta-servlet" not found for: login.jsp

> > How can i get it work? I have tried to fix the problem with

> > AddHandler jakarta-servlet .jsp

> > in httpd.conf, but this does not take effect. Any hints?

> > Or otherwise: Has anybody of you detailed information about the
> > webapp-module? The jakarta.apache.org-site is not very good at all. :-(

> > Thank you for spending time on my problem!
> > Christian

 
 
 

Apache 2.0.35 & Tomcat 4.0.3

Post by Martin Weber Nissl » Thu, 18 Apr 2002 07:16:27


Thanks Patrick ! With the 4.0.4-b2 it works just fine ! I have a compiled
version now of mod_jk wich works, drop me a mail for a request as long as no
binaries are out there.

Bad that there is no mingw support and just this MSDEV support :-( for
compilation.

cheers,
Martin
--
Martin Weber Nissl


> I compiled apache 2.0.35 with jakarta-tomcat-connectors-4.0.4-b2-src and
is
> functionnal :)


> > Do you any further insights into this issue? I am facing the same
problem
> and
> > havn't found any solution yet.

> > Rahul



> > > Hello everybody!

> > > I try to integrate Tomcat 4.0.3 into Apache 2.0.25, but I do not
> success!
> > > mod_jk is successfully loaded and my tomcat-contexts are well! But
when
> I
> > > try to access a context via my browser I get this error:

> > > handler "jakarta-servlet" not found for: login.jsp

> > > How can i get it work? I have tried to fix the problem with

> > > AddHandler jakarta-servlet .jsp

> > > in httpd.conf, but this does not take effect. Any hints?

> > > Or otherwise: Has anybody of you detailed information about the
> > > webapp-module? The jakarta.apache.org-site is not very good at all.
:-(

> > > Thank you for spending time on my problem!
> > > Christian

 
 
 

Apache 2.0.35 & Tomcat 4.0.3

Post by bori » Thu, 09 May 2002 23:14:12


1. Check your workers.properties file:
  your worker.list=...  has to include at least your own worker (let's
say "myworker").
  Then define your worker with:
  worker.myworker.port=8009
  worker.myworker.host=<hostname>  (e.g. localhost)
  worker.myworker.type=ajp13  (or ajp12)

2. Check tomcat's server.xml:
   there should be an Ajp13 Connector specified such as:
   <Connector className="org.apache.ajp.tomcat4.Ajp13Connector"
               port="8009" minProcessors="5" maxProcessors="75"
               acceptCount="10" debug="0"/>

3. check your httpd.conf:
 You should put a bunch of JkMount lines such as:
  JkMount /*.jsp      myworker
  JkMount /servlet/*  myworker
  JkMount /myapp/*    myworker

(This is if ignore loadbalancing for now)

4. Unless you are using the inprocess configuration, you have
start Tomcat before apache.

Hope that helps.
Boris

Quote:

> handler "jakarta-servlet" not found for: login.jsp

> How can i get it work? I have tried to fix the problem with

> AddHandler jakarta-servlet .jsp

> in httpd.conf, but this does not take effect. Any hints?

 
 
 

Apache 2.0.35 & Tomcat 4.0.3

Post by Alex » Thu, 19 Sep 2002 04:35:05


So by downloading the connectors, I can integrate the JSP/servlet
functionality into a regular Apache 1.3.26 distribution?

Any help would be appreciated with this!


Quote:> Hello everybody!

> I try to integrate Tomcat 4.0.3 into Apache 2.0.25, but I do not success!
> mod_jk is successfully loaded and my tomcat-contexts are well! But when I
> try to access a context via my browser I get this error:

> handler "jakarta-servlet" not found for: login.jsp

> How can i get it work? I have tried to fix the problem with

> AddHandler jakarta-servlet .jsp

> in httpd.conf, but this does not take effect. Any hints?

> Or otherwise: Has anybody of you detailed information about the
> webapp-module? The jakarta.apache.org-site is not very good at all. :-(

> Thank you for spending time on my problem!
> Christian

 
 
 

1. Apache 1.3.24 vs 2.0.35 | size & speed?

I've been using Apache 1.3.24 for about a year on my RH 7.1 x386 box,
rolled with the SSL extensions. The daemon is about 1.3 Mb in size.
Given the release of Apache 2.0.35, I thought I'd give it a try (I
know, if it ain't broke, don't fix it... ;-). The build went OK, and I
managed to add the SSL modules to make is as comparable to what I
currently have with 1.3.24.

The first thing I noticed is that the 2.0.35 daemon is almost twice as
big! Moreoever (and more importantly), its slower - when I ran the ab
benchmark, its about 20% slower on my machine for the same basic test
configuration than under 1.3.24.

Sicne more speed is always good for a server, and since I haven't seen
any compelling security reason to switch to 2.0.35, I'm happy with
1.3.24. But...I am curious as to why 2.0.35 seems to be so much
bigger, which (I suspect) contributes to its detectably slower
performance.

Any comments/suggestions? I can provide more technical details if that
helps...

2. sendmail again!!

3. tulip & 2.0.35 & linksys HELP!!

4. Still fbsd 4.5 network problems...

5. RedHat 6.2 & Panasonic CF-35 laptop pcmcia cards (network & modem)

6. Melbourne Australia is Linux Free

7. Apache+Tomcat needed or Just Tomcat

8. Ethernet Aliasing on Solaris 8

9. Direct Tomcat vs. Apache/Tomcat?

10. Apache 2.x (35 or 39) on Solaris Intel

11. Apache 2.0.35 and perl problem: bad $0 (path) variable

12. Starting Apache 2.0.35 (newbie)

13. APACHE 2.0.35 SSL ERROR